/**
 * 用于异步加载 
 */
export const asyncComponentAll = {
  Title: () => import('./text/Title'),

  BasicLine: () => import('./charts/Line/BasicLine'),

  BasicBar: () => import('./charts/Bar/BasicBar'),
  PercentBar: () => import('./charts/Bar/PercentBar'),
  StackBar: () => import('./charts/Bar/StackBar'),
  PolarBar: () => import('./charts/Bar/PolarBar'),
  SpecialBar: () => import('./charts/Bar/SpecialBar'),

  BasicPie: () => import('./charts/Pie/BasicPie'),

  BasicStrip: () => import('./charts/Strip/BasicStrip'),

  Container: () => import('./container'),
}
/* 数据源 */
export { DataSourceType } from './charts/chartEnum';
export type { DataSource, ChartData } from './charts/types';
/* 容器 */
import { default as Container } from './container';
/* 标题 */
import { default as Title } from './text/Title'; 
/* 自定义表单 */
export type { IFormItem } from './cusForm';
export { CusForm } from './cusForm';

/* 基础折线图 */
import { default as BasicLine } from './charts/Line/BasicLine';
export { 
  Config as BasicLineConfig,
  defaultPropsValue as basicLineDefaultProps,
  componentProps as basicLineComponentProps
} from './charts/Line/BasicLine';

/* 基础柱形图 */
import { default as BasicBar } from './charts/Bar/BasicBar/src/BasicBar.vue';
export { 
  Config as BasicBarConfig,
  defaultPropsValue as basicBarDefaultProps,
  componentProps as basicBarProps
} from './charts/Bar/BasicBar';

/* 基础饼图 */
import { default as BasicPie } from './charts/Pie/BasicPie/src/BasicPie.vue';
export { 
  Config as BasicPieConfig,
  defaultPropsValue as basicPieDefaultProps,
  componentProps as basicPieProps
} from './charts/Pie/BasicPie';

/* 基础条形图 */
import { default as BasicStrip } from './charts/Strip/BasicStrip/src/BasicStrip.vue';
export { 
  Config as BasicStripConfig,
  defaultPropsValue as basicStripDefaultProps,
  componentProps as basicStripProps
} from './charts/Strip/BasicStrip';

/* 堆积柱形图 */
import { default as StackBar } from './charts/Bar/StackBar/src/StackBar.vue';
export { 
  Config as StackBarConfig,
  defaultPropsValue as stackBarDefaultProps,
  componentProps as stackBarProps
} from './charts/Bar/StackBar';

/* 百分比堆积柱形图 */
import { default as PercentBar } from './charts/Bar/PercentBar/src/PercentBar.vue';
export { 
  Config as PercentBarConfig,
  defaultPropsValue as percentBarDefaultProps,
  componentProps as percentBarProps
} from './charts/Bar/PercentBar';

/* 百分比堆积柱形图 */
import { default as PolarBar } from './charts/Bar/PolarBar/src/PolarBar.vue';
export { 
  Config as PolarBarConfig,
  defaultPropsValue as polarBarDefaultProps,
  componentProps as polarBarProps
} from './charts/Bar/PolarBar';

/* 特殊形状柱形图 */
import { default as SpecialBar } from './charts/Bar/SpecialBar/src/SpecialBar.vue';
export { 
  Config as SpecialBarConfig,
  defaultPropsValue as specialBarDefaultProps,
  componentProps as specialBarProps
} from './charts/Bar/SpecialBar';

export const components = {
  BasicLine,
  BasicBar,
  Title,
  BasicPie,
  Container,
  BasicStrip,
  StackBar,
  PercentBar,
  PolarBar,
  SpecialBar,
}

export {
  BasicLine,
  BasicBar,
  Title,
  BasicPie,
  Container,
  BasicStrip,
  StackBar,
  PercentBar,
  PolarBar,
  SpecialBar,
}