import { App } from 'vue';
import { Config as BasicBarConfig } from './charts/Bar/BasicBar';
import { defaultPropsValue as BasicBarDefaultProps } from './charts/Bar/BasicBar';
import { basicBarProps as BasicBarProps } from './charts/Bar/BasicBar';
import { default as BasicLine } from './charts/Line/BasicLine';
import { Config as BasicLineConfig } from './charts/Line/BasicLine';
import { defaultPropsValue as BasicLineDefaultProps } from './charts/Line/BasicLine';
import { basicLineProps as BasicLineProps } from './charts/Line/BasicLine';
import { Config as BasicPieConfig } from './charts/Pie/BasicPie';
import { defaultPropsValue as BasicPieDefaultProps } from './charts/Pie/BasicPie';
import { basicPieProps as BasicPieProps } from './charts/Pie/BasicPie';
import { ChartData } from './charts/types';
import { default as Container } from './container';
import { CusForm } from './cusForm';
import { DataSource } from './charts/types';
import { IFormItem } from './cusForm';
import { default as Title } from './text/Title';

export declare const asyncComponentAll: {
    Title: () => Promise<any>;
    BasicLine: () => Promise<any>;
    BasicBar: () => Promise<any>;
    BasicPie: () => Promise<any>;
    Container: () => Promise<any>;
};

export declare const BasicBar: any;

export { BasicBarConfig }

export { BasicBarDefaultProps }

export { BasicBarProps }

export { BasicLine }

export { BasicLineConfig }

export { BasicLineDefaultProps }

export { BasicLineProps }

export declare const BasicPie: any;

export { BasicPieConfig }

export { BasicPieDefaultProps }

export { BasicPieProps }

export { ChartData }

export declare const components: {
    BasicLine: any;
    BasicBar: any;
    Title: any;
    BasicPie: any;
    Container: any;
};

export { Container }

export { CusForm }

export { DataSource }

export declare enum DataSourceType {
    STATIC = 0,
    API = 1,
    BASIC_PATH = 2,
    VIEW_CODE = 3
}

declare const _default: {
    version: string;
    install: (app: App) => App;
};
export default _default;

export { IFormItem }

export declare const install: (app: App) => App;

export { Title }

export { }
